package com.ejie.ad74a.exceptions;

import java.util.Map;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(HttpStatus.BAD_REQUEST)
public class Ad74aException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	private String codeError = null;
	private String msgToConsole;
	private Map<String, String> infoMap;

	public String getCodeError() {
		return this.codeError;
	}

	public void setCodeError(String codeError) {
		this.codeError = codeError;
	}

	public String getMsgToConsole() {
		return this.msgToConsole;
	}

	public void setMsgToConsole(String msgToConsole) {
		this.msgToConsole = msgToConsole;
	}

	public Map<String, String> getInfoMap() {
		return this.infoMap;
	}

	public void setInfoMap(Map<String, String> infoMap) {
		this.infoMap = infoMap;
	}

	public Ad74aException(String message) {
		super(message);
	}

	public Ad74aException(String message, String msgToConsole) {
		super(message);
		this.msgToConsole = msgToConsole;
	}

	public Ad74aException(String message, String msgToConsole, Map<String, String> infoMap) {
		super(message);
		this.msgToConsole = msgToConsole;
		this.infoMap = infoMap;
	}

	public Ad74aException(Throwable throwable, String message) {
		super(message, throwable);
	}
}
